<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<div id="participants-section">
  <% if @project %>
    <div class="form--field">
      <label class="form--label"><%=Meeting.human_attribute_name(:participants) %></label>
      <div class="form--field-container">
        <table class="form--matrix">
          <thead>
          <tr class="form--matrix-header-row">
            <th class="form--matrix-header-cell"><%= Meeting.human_attribute_name(:name) %></th>
            <th class="form--matrix-header-cell"><%= Meeting.human_attribute_name(:participants_invited) %></th>
            <th class="form--matrix-header-cell"><%= Meeting.human_attribute_name(:participants_attended) %></th>
          </tr>
          </thead>
          <tbody>
          <% @meeting.all_changeable_participants.sort.each do |user| -%>
            <%= hidden_field_tag "meeting[participants_attributes][][user_id]", user.id %>
            <tr class="form--matrix-row">
              <td class="form--matrix-cell"><%=h user %></td>
              <% if @meeting.participants.present? && participant = @meeting.participants.detect{|p| p.user_id == user.id} -%>
                <%= hidden_field_tag "meeting[participants_attributes][][id]", participant.id %>
                <td class="form--matrix-checkbox-cell">
                  <%= label_tag "checkbox_invited_#{user.id}", user.name + " " + t(:description_invite), :class => "hidden-for-sighted" %>
                  <%= styled_check_box_tag "meeting[participants_attributes][][invited]", 1, participant.invited?, :id => "checkbox_invited_#{user.id}" %>
                </td>
                <td class="form--matrix-checkbox-cell">
                  <%= label_tag "checkbox_attended_#{user.id}", user.name + " " + t(:description_attended), :class => "hidden-for-sighted" %>
                  <%= styled_check_box_tag "meeting[participants_attributes][][attended]", 1, participant.attended?, :id => "checkbox_attended_#{user.id}" %>
                </td>
              <% else -%>
                <td class="form--matrix-checkbox-cell">
                  <%= label_tag "checkbox_invited_#{user.id}", user.name + " " + t(:description_invite), :class => "hidden-for-sighted" %>
                  <%= styled_check_box_tag "meeting[participants_attributes][][invited]", value = "1", checked = false, :id => "checkbox_invited_#{user.id}" %>
                </td>
                <td class="form--matrix-checkbox-cell">
                  <%= label_tag "checkbox_attended_#{user.id}", user.name + " " + t(:description_attended), :class => "hidden-for-sighted" %>
                  <%= styled_check_box_tag "meeting[participants_attributes][][attended]", value = "1", checked = false, :id => "checkbox_attended_#{user.id}" %>
                </td>
              <% end -%>
            </tr>
          <% end -%>
          </tbody>
        </table>
      </div>
    </div>
  <% end %>
</div>
